      program IMPLICIT_DGM
      implicit double precision (a-h,o-z)
      include 'params.for'
c      common/mats/ sparsu(nmax*nzeromax),sparsl(nmax*nzeromax),
c     $     spu(nmax*nzeromax),spl(nmax*nzeromax),
c     $     index(nmax*nzeromax),irwst(nmax)

      common/matsC/ spars(nmax*nzeromax),index(nmax*nzeromax),
     $     irwst(nmax+1)

      call main_c

      end
